/*
 * Class TO_SPECIAL [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_727 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_727 [] = {0xFF01,237,726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_727 [] = {0xFF01,726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_727 [] = {0xFF01,726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_727 [] = {0xFF01,726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_727 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_727 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_727 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_727 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_727 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_727 [] = {726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_727 [] = {0xFF01,726,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_727 [] = {0xFF01,710,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_727 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_727 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_727 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_727[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_727), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_727), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_727), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_727), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_727), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_727), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_727), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_727), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_727), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_727), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_727), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_727), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_727), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_727), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_727), 5010, 0},
	{EIF_GENERIC(NULL), 5011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_727), 5013, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_727), 5014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5017, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_727), -1, 0xFFFFFFFF},
};
void Init727(void)
{
	IDSC(desc_727, 0, 726);
	IDSC(desc_727 + 1, 1, 726);
	IDSC(desc_727 + 32, 81, 726);
}


#ifdef __cplusplus
}
#endif
